/*

Digital Read pins Sketch

 On this sample, we will use the digital read pins of
 Serial LCD II at the same time with display message on it.
 Using gizDuino LIN-UNO (Arduino UNO).

 See the Keyword.txt for more syntax.

 Codes by
 e-Gizmo Mechatronix Central
 http://www.e-gizmo.net
 October 24,2018 

*/
#include <eGizmo_SerialLCD.h>

//For Arduino UNO or Gizduino V users
/*
SoftwareSerial mySerial(2,3);
eGizmo_SerialLCD mainDisplay(&myserial);
*/

//For MEGA, X, and Plus users
eGizmo_SerialLCD mainDisplay(&Serial, 2, 16); //Set to 2x16 LCD

void setup(){
	//Initialize
	mainDisplay.begin();

	//mainDisplay.print(message, row, column);
  //note: you can place your message/row/column in any positions
	mainDisplay.print("e-Gizmo", 1,6);
	mainDisplay.print("World!", 2,6);
	
	delay(2000); //2 seconds delay time

	mainDisplay.printOver("FOR EVERYONE!", 2,6);
	 
	delay(2000);  //2 seconds delay time

	//Clear all
	mainDisplay.clear();

	delay(2000);  //2 seconds delay time

  for(int i = 0; i <=10; i++){
   mainDisplay.pinMode(i,OUTPUT);
  }
}

void loop(){
// Reading Digital PIN 2 and Display it on the LCD
int DIGITAL_PIN2 = mainDisplay.digitalRead(2);
mainDisplay.print(String(DIGITAL_PIN2));

}